Description

Folks - as it seems that IGMP Proxy is "broken" and pimd works is it possible to add (or replace) IGMP Proxy with pimd? The config
webpage seems like it could be just and update of the IGMP Proxy page. Thanks!

Associated revisions

Revision 7351189a - 01/22/2020 03:39 PM - Jim Pingle
Enable build of pimd pkg. Issue #9555

Revision 1df15¢54 - 01/22/2020 03:40 PM - Jim Pingle
Enable build of pimd pkg. Issue #9555

(cherry picked from commit 7351189a84b3029c95a649cbd23f57e886d57325)

Revision 5e830cdf - 01/24/2020 12:45 PM - Jim Pingle
Enable build of pimd pkg. Issue #9555

(cherry picked from commit 7351189a84b3029¢95a649cbd23f57e886d57325)

History

#1 - 08/14/2019 02:39 PM - Jim Pingle
- Project changed from pfSense to pfSense Packages

- Category set to New Package Request

#2 -10/11/2019 03:21 PM - Pete Holzmann

Michael Pelley wrote:

Folks - as it seems that IGMP Proxy is "broken" and pimd works is it possible to add (or replace) IGMP Proxy with pimd?

| strongly concur. | was saddened to see multicast break when switching to pfSense. Among the important applications currently broken:

e Retrospect backup endpoint discovery across subnets

e WS-Discovery (or if old-school-scary WINS :( ) cross-subnet networking (SAMBA etc)

¢ Device discovery for Sonos and other HW
¢ Endpoint discovery for dropbox
etc...
#3 - 10/20/2019 09:00 PM - Andy Shulman

+1, igmpproxy stopped working for Sonos systems after pfsense update several years ago (I want to say 2.2 -> 2.3, but | don't remember for sure at
this point). There's a great guide to getting it working with pimd at
https://forum.netgate.com/topic/139218/sonos-speakers-and-applications-on-different-subnets-vlan-s.

#4 - 01/22/2020 03:06 PM - Jim Pingle
- Subject changed from pimd in base package with configuration webpage to pimd package

- Assignee set to Jim Pingle

I've been tinkering with this and just about have it ready. Will commit soon.

#5 - 01/22/2020 03:43 PM - Jim Pingle

- Status changed from New to Feedback

- % Done changed from 0 to 100

Should be available to install as a package on 2.5.0 and 2.4.5 snapshot builds soon.

#6 - 01/23/2020 02:21 PM - Jim Pingle

This is now available to install on 2.4.5 and 2.5.0 snapshots, and is ready for testing.

Forum thread for feedback: https://forum.netgate.com/topic/149909/new-package-pimd

#7 - 01/23/2020 02:40 PM - Jim Pingle
- Category changed from New Package Request to PIMD

#8 - 01/24/2020 02:48 PM - Jim Pingle

This is also now available to install and test on 2.4.4-p3.

#9 - 02/01/2021 07:25 AM - Azamat Khakimyanov

- Status changed from Feedback to Resolved

Tested on 2.4.5_p1 and on 21.02-DEVELOPMENT (built on Mon Feb 01 00:05:45 EST 2021)

Tested with 3 different multicast sources:

- vic

- iperf

- some multicast test app

Everything was working correctly. | saw correct multicast route table.

This feature request can be marked resolved.
